package metadata

const (
	RequestIDKey       = "X-AEUS-Request-ID"
	RequestPathKey     = "X-AEUS-Request-Path"
	RequestProtocolKey = "X-AEUS-Request-Protocol"
)

type (
	TeeReader interface {
		Get(string) string
	}

	TeeWriter interface {
		Set(string, string)
	}
)
